import { root,fileApi,login } from '@/api/index'
import axios from 'axios';
import fetch from 'utils/fetch';

//列表页数据
export function funcMapList(bizType,data) {
	return fetch({
		url: `${login}/func_mp/getFuncMappingList/${bizType}/${data.page}/${data.size}`,
		method: 'post',
		data: data
	});
}

//列表页数据
export function saveFuncMap(bizType,data) {
	return fetch({
		url: `${login}/func_mp/saveFuncMapping/${bizType}`,
		method: 'post',
		data: data
	});
}

//列表页删除
export function deleteFuncMap(resId,sdeptId) {
	return fetch({
		url: `${login}/func_mp/deleteFuncMapping/${resId}/${sdeptId}`,
		method: 'get'
	});
}






