import fetch from 'utils/fetch'
import { log } from '@/api/index'

//查询审计日志列表
export function logAuditTable (data) {
    return fetch({
		url: `${log}/systemLog/findByPageLog/${data.page}/${data.size}`,
		method: 'post',
		data: data
	});
}

//查询审计日志详情
export function findByIdLog (id) {
    return fetch({
		url: `${log}/systemLog/findByIdLog/${id}`,
		method: 'get',
	});
}

//查询页面日志列表
export function logPageTable (data) {
    return fetch({
		url: `${log}/systemLog/findByPageAccess/${data.page}/${data.size}`,
		method: 'post',
		data: data
	});
}

//查询页面日志详情
export function findByIdPage (id) {
    return fetch({
		url: `${log}/systemLog/findByIdPage/${id}`,
		method: 'get',
	});
}

//查询登录日志列表
export function logLoginTable (data) {
    return fetch({
		url: `${log}/systemLog/findByPageLogin/${data.page}/${data.size}`,
		method: 'post',
		data: data
	});
}


//查询登录日志详情
export function findByIdLogin(id) {
    return fetch({
		url: `${log}/systemLog/findByIdLogin/${id}`,
		method: 'get',
	});
}
