import { root } from '@/api/index'

import fetch from 'utils/fetch';

// 列表展示
export function page(query,name) {
  return fetch({
    url: `${root}/irpt/findByPage/${query.page}/${query.size}`,
    method: 'post',
    data:{
    	name
    }
  });
}

// 搜索
export function pageOption(query,name) {
  return fetch({
    url: `${root}/irpt/findByPage/${query.page}/${query.size}`,
    method: 'post',
    data: {
    	name
    }
  });
}

// 添加
export function addObj(form) {
  return fetch({
    url: `${root}/irpt/save`,
    method: 'post',
    data: JSON.stringify(form)
  });
}

// 删除
export function delObj(ids) {
  return fetch({
    url: `${root}/irpt/deletes`,
    method: 'delete',
    data: ids
  })
}


// 修改
export function putObj(role) {
  return fetch({
    url: `${root}/irpt/update`,
    method: 'post',
    data: JSON.stringify(role)
  });
}

//表表类型
export function findByGroupName(){
	return fetch({
		url:`${root}/dict/findByGroupName/报表类型`,
		method: 'get'
	})
}
