import { login } from '@/api/index';
import fetch from 'utils/fetch';
//单位树
export function selectTreeByEntity(data) {
    return fetch({
        url: `${login}/manager/plug/plugDevice/selectTreeByEntity`,
        method: 'post',
        data
    });
}

//新增
export function insertEntitySelective(data) {
    return fetch({
        url: `${login}/manager/plug/plugDevice/insertEntitySelective`,
        method: 'post',
        data
    });
}

//列表
export function selectByEntity(data) {
    return fetch({
        url: `${login}/manager/plug/plugDevice/selectByEntity?pageNum=${data.pageNum}&pageSize=${data.pageSize}`,
        method: 'post',
        data
    });
}

//详情
export function selectById(data) {
    return fetch({
        url: `${login}/manager/plug/plugDevice/selectById`,
        method: 'post',
        data
    });
}

//修改
export function updateByEntitySelective(data) {
    return fetch({
        url: `${login}/manager/plug/plugDevice/updateByEntitySelective`,
        method: 'post',
        data
    });
}

//删除
export function deleteByEntity(data) {
    return fetch({
        url: `${login}/manager/plug/plugDevice/deleteByEntity`,
        method: 'post',
        data
    });
}

//启用
export function startById(data) {
    return fetch({
        url: `${login}/manager/plug/plugDevice/startById`,
        method: 'post',
        data
    });
}

//禁用
export function stopById(data) {
    return fetch({
        url: `${login}/manager/plug/plugDevice/stopById`,
        method: 'post',
        data
    });
}




