import { root,fileApi,login } from '@/api/index'
import axios from 'axios';
import fetch from 'utils/fetch';

//列表页数据
export function deptMapList(bizType,data) {
	return fetch({
		url: `${login}/dept_mp/getDeptMappingList/${bizType}/${data.page}/${data.size}`,
		method: 'post',
		data: data
	});
}

//列表页数据保存
export function saveDeptMap(data) {
	return fetch({
		url: `${login}/dept_mp/saveDeptMapping`,
		method: 'post',
		data: data
	});
}

//根据id获取部门映射信息
export function getDeptMapping(bizType,id) {
	return fetch({
		url: `${login}/dept_mp/getDeptMapping/${bizType}/${id}`,
		method: 'get'
	});
}

//根据id删除信息
export function deleteDeptMapping(id) {
	return fetch({
		url: `${login}/dept_mp/deleteDeptMapping/${id}`,
		method: 'get'
	});
}



