import {
  systemCenter,
  login
} from '@/api/index'
import fetch from 'utils/fetch';
//保存角色信息
export function saveRoleinfo(type,objData) {
  return fetch({
    url: `${login}/role/saveRoleinfo/${type}`,
    method: 'POST',
    data: objData
  });
}

//保存权限分配信息
export function saveRightsAllocation(objData) {
  return fetch({
    url: `${login}/rights/saveRightsAllocation`,
    method: 'POST',
    data: objData
  });
}

//保存用户角色信息
export function saveUserRoles(objData) {
  return fetch({
    url: `${login}/user/addUserRoles`,
    method: 'POST',
    data: objData
  });
}

//获取功能列表
export function pageResourceTree(bizType) {
	return fetch({
		url: `${login}/resource/getPageResourceTree/${bizType}`,
		method: 'get',
	});
}
// 获取用户id
export function getCurrUserinfo() {
	return fetch({
		url: `${login}/user/getCurrUserinfo`,
		method: 'get',
	});
}
// 获取用户下的所有角色及功能
export function getUserMainFunctions() {
	return fetch({
		url: `${login}/user/getUserMainFunctions`,
		method: 'get',
	});
}