import { login } from '@/api/index'
import fetch from 'utils/fetch';

//登录
export function userLogin(data, bizType) {
	return fetch({
		url: `${login}/login/userLogin/${bizType}`,
		method: 'post',
		data: data
	});
}

//登出
export function userLoginOut() {
    return fetch({
		url: `${login}/login/userLogout`,
		method: 'post',
		data: {}
	});
}

//获取用户权限信息
export function getMenu(userId) {
  return fetch({
		url: `${login}/user/getUserMenuRights/${userId}`,
		method: 'get'
	});
}








