import { root } from '@/api/index'

import fetch from 'utils/fetch';


/*---------------拉去菜单------------------*/
export function fetchTree() {
  return fetch({
    url: `${root}/menu/getTreeData`,
    method: 'get'
    //params: query
  });
}



/*---------------删除菜单------------------*/
export function deleteMenu(ids,rowIndex) {
  return fetch({
    url: `${root}/menu/deletes` ,
    method: 'delete',
    data:JSON.stringify(ids)
  });
}
/*---------------新建菜单------------------*/
export function addObj(obj) {
  return fetch({
    url: `${root}/menu/save`,
    method: 'post',
    data: obj
  });
}
/*-----------------修改菜单----------------------*/
export function editObj(obj) {
  return fetch({
    url: `${root}/menu/update/`,
    method: 'post',
    data:obj
  })
}

export function delObj(id) {
  return fetch({
    url: `${root}/admin/menu/${id}`,
    method: 'delete'
  })
}

export function putObj(id, obj) {
  return fetch({
    url: `${root}/admin/menu/${id}`,
    method: 'put',
    data: obj
  })
}
