import { root,fileApi,login } from '@/api/index'
import axios from 'axios';
import fetch from 'utils/fetch';

//保存权限数据
export function saveRightsAllocation(data) {
	return fetch({
		url: `${login}/roleResources/addRoleResources`,
		method: 'post',
    data:data
	});
}
//获取权限信息
export function getRightsAllocation(roleCode) {
	return fetch({
	  url: `${login}/roleResources/findRoleResourcesTree?roleCode=${roleCode}`,
	  method: 'post'
	});
}

//获取权限信息
export function getRightsByCode(roleCode) {
	return fetch({
	  url: `${login}/roleResources/findRoleResourcesByCode/${roleCode}`,
	  method: 'get'
	});
}
