import {report} from '@/api/index'
import fetch from 'utils/fetch';

//填报周期填报报表
export function taskReportTable(data) {
	return fetch({
		url: `${report}/rptPeriod/querySysRptPeriodInfo/${data.page}/${data.size}`,
		method: 'post',
		data: data
	});
}

//查询报表信息
export function searchTaskReport(data) {
	return fetch({
		url: `${report}/rptPeriod/querySysRptInfoByCondition`,
		method: 'post',
		data: data
	});
}

//保存报表信息
export function saveSysRptPeriod(data) {
	return fetch({
		url: `${report}/rptPeriod/saveSysRptPeriod`,
		method: 'post',
		data: data
	});
}

