import { root, dict } from '@/api/index'
import fetch from 'utils/fetch';

export function areaCodeDict(groupId) {
	return fetch({
		url: `${dict}/dataDictionary/getDataTree/${groupId}`,
		method: 'get'
	});
}

//根据分组id查询字典
export function dataDictGroupId(groupId) {
	return fetch({
		url: `${dict}/dataDictionary/findByGroupId/${groupId}`,
		method: 'get'
	});
}

export function areaProvince() {
	return fetch({
		url: `${root}/area/findProvince`,
		method: 'get'
	});
}

export function areaCity(code) {
	return fetch({
		url: `${root}/area/findCity?code=${code}`,
		method: 'get'
	});
}

export function areaCounty(code) {
	return fetch({
		url: `${root}/area/findCounty?code=${code}`,
		method: 'get'
	});
}